problem with tooltip on IE7

Community Driven Extensions Project
Post Reply
vineet
Posts: 387
Joined: 14 Oct 2011, 23:40

21 Aug 2012, 17:19

Hi ,

Not sure if this has something to do with the latest version of the PF which has been updated with the latest jquery version . The following share tooltip works fine on all browsers except IE7 :

<pe:tooltip value="Type any value to filter datatable" forSelector="#form:tbl th .ui-column-filter"
shared="true" targetPosition="top center" position="bottom center"/>

error is :

Webpage error details

User Agent: Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 1.1.4322; .NET CLR 2.0.50727; .NET CLR 3.0.4506.2152; .NET CLR 3.5.30729; InfoPath.2; MS-RTC LM 8)
Timestamp: Tue, 21 Aug 2012 15:13:52 UTC


Message: Syntax error, unrecognized expression: #form\
Line: 21
Char: 10335
Code: 0
URI: https://XXXXX/javax.faces.resource/jque ... primefaces


Message: Object doesn't support this property or method
Line: 1
Char: 5218
Code: 0
URI: https://XXXXXX/javax.faces.resource/pri ... primefaces


Message: Syntax error, unrecognized expression: #form\
Line: 21
Char: 10335
Code: 0



Message: Object doesn't support this property or method
Line: 2
Char: 557
Code: 0
URI: https://XXXXX/javax.faces.resource/keyf ... ns&v=0.5.0

Does it mean extension 0.5.0 is not compatible with latest PF version 3.4 snapshot ?

tandraschko
PrimeFaces Core Developer
Posts: 3529
Joined: 03 Dec 2010, 14:11
Location: Bavaria, DE
Contact:

21 Aug 2012, 17:25

Try this:
forSelector="#form\\:tbl th .ui-column-filter"
Always Bet On Prime (+ Extensions)!

Thomas Andraschko
PrimeFaces Developer | PrimeFaces Extensions Founder
Apache OpenWebBeans PMC | Apache DeltaSpike PMC | Apache MyFaces PMC

Personal Blog: http://tandraschko.blogspot.de/

vineet
Posts: 387
Joined: 14 Oct 2011, 23:40

21 Aug 2012, 17:59

Does not work . It stops working on all the browser with the changes.

vineet
Posts: 387
Joined: 14 Oct 2011, 23:40

21 Aug 2012, 18:49

Reverting to the older version of the PF3.4 snapshot solves the issue . It looks like an issue with the new version of the jquery is not compatible

Post Reply

Return to “Extensions”

  • Information
  • Who is online

    Users browsing this forum: No registered users and 1 guest